- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiVulkanRenderPassNativeHandles
- Qt 6.8.1 Reference Documentation

# QRhiVulkanRenderPassNativeHandles Struct

Holds the Vulkan render pass object backing a QRhiRenderPassDescriptor. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

VkRenderPass | renderPass

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### VkRenderPass QRhiVulkanRenderPassNativeHandles::renderPass

The VkRenderPass object.